package cz.moneta.test.dsl.util.task.retail.loans.constants;

import cz.moneta.test.dsl.util.data.client.Address;
import cz.moneta.test.dsl.util.data.client.Employer;
import cz.moneta.test.dsl.util.data.client.IdCard;

import java.time.LocalDate;
import java.util.Date;

import static cz.moneta.test.dsl.util.DateUtils.getSpecificDayRaw;

public class DefaultLoansConstants {

    public static final IdCard DEFAULT_ID_CARD = new IdCard("209373723", LocalDate.of(2018, 3, 15), LocalDate.of(2028, 3, 15));
    public static final Date DEFAULT_ID_DATE_INVALID = getSpecificDayRaw(2027, 1, 7);
    public static final int DEFAULT_INCOME = 45000;
    public static final String IBAN_TWO_ICO = "CZ7327000000001002002661";
    public static final String DEFAULT_LOAN_AMOUNT = "60000";
    public static final String DEFAULT_LOAN_DURATION = "72";
    public static final String DEFAULT_REFERENCE_NUMBER = "SAB000277";
    public static final String DEFAULT_ADDRESS_SINCE_LESS_THAN_5 = "méně než 5 let";
    public static final String DEFAULT_ADDRESS_SINCE_5_TO_10 = "5 - 10 let";
    public static final String DEFAULT_HOUSING_TYPE_OTHER = "Jiné";
    public static final String DEFAULT_INSTALMENT_DAY = "10";
    public static final String DEFAULT_ID_CHECK_NUM = "2";
    public static final String DEFAULT_SMS_KEY = "12341234";
    public static final String WRONG_SMS_KEY = "123123";
    public static final String DEFAULT_FRAUD_MSG = "Automat - Manual Fraud Check";
    public static final String DEFAULT_EMAIL = "besim@moneta.cz";
    public static final String DEFAULT_MOBILE_NUMBER = "602475132";
    public static final String DEFAULT_DRIVING_LICENSE_ID = "EK082463";
    public static final Date DEFAULT_DRIVING_LICENSE_EXPIRATION_DATE = getSpecificDayRaw(11, 12, 2025);
    public static final String DEFAULT_ACCOUNT_NUMBER = "1152131012";
    public static final String DEFAULT_BANK_NUMBER = "0300";
    public static final String OTHER_INSTALLMENTS = "0";
    public static final String OTHER_COST_OF_LIVING = "0";
    public static final String DEPENDENT_PEOPLE = "0 osob";
    public static final Address DEFAULT_CLIENT_ADDRESS = Address.builder()
            .street("Pražská")
            .descriptiveNumber("278")
            .orientationNumber("10")
            .city("Benátky nad Jizerou")
            .zip("29471")
            .country("CZ")
            .build();
    public static final Employer DEFAULT_EMPLOYER = new Employer(
            "Printempo",
            "01633171",
            Address.builder()
                    .street("Sluneční náměstí")
                    .descriptiveNumber("2580")
                    .orientationNumber("13")
                    .city("Stodůlky")
                    .zip("15800")
                    .country("CZ")
                    .build(),
            "224252524");

    private DefaultLoansConstants() {
    }
}
